#pragma once
#include "Preferences.h"

class CPPgVS : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgVS)

public:
	CPPgVS();
	virtual ~CPPgVS();

	// Dialog Data
	enum { IDD = IDD_PPG_VS };

	void Localize(void);
	
//static CString ProgramFilesPath;
protected:
	void LoadSettings(void);
	static CString ProgramFilesPath; //path for 'program files'
    bool VerifyPath(bool notrunningtwice);
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	bool b_scannerEnabled; //fix for 1.5b
    
	DECLARE_MESSAGE_MAP()
	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
public:
	afx_msg void OnBnClickedEnablevs();
	afx_msg void OnCbnSelchangeVirusscannertype();
	afx_msg void OnEnChangeVsedit1();
	afx_msg void OnEnChangeVsedit2();
	afx_msg void OnEnChangeVsedit3();
	afx_msg void OnBnClickedVsradio1();
	afx_msg void OnBnClickedVsradio2();
	afx_msg void OnBnClickedVsradio3();
	afx_msg void OnBnClickedBrowse();
	afx_msg void OnBnClickedTest();
};